/*  Copyright (C) 2015 Zoltán Nagy
 *  Created by Zoltán Nagy on 3/30/15.
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef __cxx_math_support_h__
#define __cxx_math_support_h__ 1



/*   special functions   */
#include <cxx/math/pow.h>
#include <cxx/math/polylog.h>
#include <cxx/math/lambert.h>
#include <cxx/math/zeta.h>
#include <cxx/math/harmonic-numbers.h>
#include <cxx/math/expint.h>

/*    simple class to do gauss integration   */
#include <cxx/math/gauss-integral.h>

/*    simple spline implementation   */
#include <cxx/math/spline.h>

/*   chebyshev interpolation   */
#include <cxx/math/chebyshev.h>



#endif
